summaryrefslogtreecommitdiffstats
path: root/graphics/jhead
diff options
context:
space:
mode:
author Peter Drauden <pjdraud@ilstu.edu>2010-05-11 14:55:17 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:55:17 +0200
commit7234a8d04796ad5aeb9549981366ef35aeeeb717 (patch)
tree533194864ce9d12bf8489cbf4d9a28a495ad1635 /graphics/jhead
parentbfbf63e5b16f54e94b7370a2d786d0ed8b326dc3 (diff)
downloadslackbuilds-7234a8d04796ad5aeb9549981366ef35aeeeb717.tar.gz
slackbuilds-7234a8d04796ad5aeb9549981366ef35aeeeb717.tar.xz
graphics/jhead: Initial import
Diffstat (limited to 'graphics/jhead')
-rw-r--r--graphics/jhead/README10
-rw-r--r--graphics/jhead/jhead.SlackBuild68
-rw-r--r--graphics/jhead/jhead.info8
-rw-r--r--graphics/jhead/slack-desc11
4 files changed, 97 insertions, 0 deletions
diff --git a/graphics/jhead/README b/graphics/jhead/README
new file mode 100644
index 0000000000..92d220c65d
--- /dev/null
+++ b/graphics/jhead/README
@@ -0,0 +1,10 @@
+Digicam JPEG Exif header manipulation tool
+
+jhead is used to display and manipulate data contained in the Exif
+header of JPEG images from digital cameras. jhead can also be used
+to manipulate some aspects of the image relating to JPEG and Exif
+headers, such as changing the internal timestamps, removing the
+thumbnail, or transferring Exif headers back into edited images after
+graphical editors deleted the Exif header.
+
+Homepage: http://freshmeat.net/redir/jhead/4822/url_homepage/jhead
diff --git a/graphics/jhead/jhead.SlackBuild b/graphics/jhead/jhead.SlackBuild
new file mode 100644
index 0000000000..e92d8ed64f
--- /dev/null
+++ b/graphics/jhead/jhead.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for jhead
+
+# Copyright 2007 Peter Drauden (pjdraud@ilstu.edu)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+
+PRGNAM=jhead
+VERSION=2.7
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Compile the application and strip unneeded symbols
+CFLAGS=$SLKCFLAGS CXXFLAGS=$SLKCFLAGS make
+strip --strip-unneeded jhead 2> /dev/null
+
+mkdir -p $PKG/usr/{bin,man/man1}
+cp -a jhead $PKG/usr/bin
+cp -a jhead.1.gz $PKG/usr/man/man1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a changes.txt readme.txt usage.html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/jhead/jhead.info b/graphics/jhead/jhead.info
new file mode 100644
index 0000000000..d8cc1a1920
--- /dev/null
+++ b/graphics/jhead/jhead.info
@@ -0,0 +1,8 @@
+PRGNAM="jhead"
+VERSION="2.7"
+HOMEPAGE="http://www.sentex.net/~mwandel/jhead/"
+DOWNLOAD="http://www.sentex.net/~mwandel/jhead/jhead-2.7.tar.gz"
+MD5SUM="be10a197a8858de5d86ae89219e806fb"
+MAINTAINER="Peter Drauden"
+EMAIL="pjdraud@ilstu.edu"
+APPROVED="BP{k}"
diff --git a/graphics/jhead/slack-desc b/graphics/jhead/slack-desc
new file mode 100644
index 0000000000..4fcbf15ef7
--- /dev/null
+++ b/graphics/jhead/slack-desc
@@ -0,0 +1,11 @@
+jhead: Digicam JPEG Exif header manipulation tool
+jhead:
+jhead: jhead is used to display and manipulate data contained in the Exif
+jhead: header of JPEG images from digital cameras. jhead can also be used
+jhead: to manipulate some aspects of the image relating to JPEG and Exif
+jhead: headers, such as changing the internal timestamps, removing the
+jhead: thumbnail, or transferring Exif headers back into edited images after
+jhead: graphical editors deleted the Exif header.
+jhead:
+jhead: Homepage: http://freshmeat.net/redir/jhead/4822/url_homepage/jhead
+jhead: \ No newline at end of file